Zum Hauptinhalt springen

Get an app

GET/v2/apps/{appId}
API-Version
v2
Request-Methode
GET
Operation-ID
app-get-app

Request​

  • appIdstring (uuid)required

Responses​

Format
application/json
Beschreibung

The app object.

  • actionCapabilitiesArray von string (einer von: start, stop, restart)
    • Array[

      An Action is a string that describes a runtime concerning action which can be executed on an AppInstallation or an App can be capable of.

      • *string (einer von: start, stop, restart)

        An Action is a string that describes a runtime concerning action which can be executed on an AppInstallation or an App can be capable of.

      ]
  • descriptionobject

    A text with a german and an english translation.

    • destringrequired
    • enstringrequired
  • idstringrequired
  • namestringrequired
  • tagsArray von stringrequired
    • Array[
      • *string
      ]
Content-Type: application/json

{
"actionCapabilities": [
"start"
],
"description": {
"de": "string",
"en": "string"
},
"id": "string",
"name": "string",
"tags": [
"string"
]
}
{
"description": "An App is to be understood as a manifest for AppInstallations. E.g. 'WordPress' only exists inside our ecosystem, because there is an App -Manifest for it.",
"properties": {
"actionCapabilities": {
"items": {
"description": "An Action is a string that describes a runtime concerning action which can be executed on an AppInstallation or an App can be capable of.",
"enum": [
"start",
"stop",
"restart"
],
"type": "string"
},
"type": "array"
},
"description": {
"description": "A text with a german and an english translation.",
"properties": {
"de": {
"type": "string"
},
"en": {
"type": "string"
}
},
"required": [
"de",
"en"
],
"type": "object"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
}
},
"required": [
"id",
"name",
"tags"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/apps/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.app.getApp({
"appId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\App\GetApp\GetAppRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetAppRequest(
appId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->app()->getApp($request);

var_dump($response->getBody();

Auf dieser Seite